<?php
session_start();
$hledejpr=null;
$hledejrc=null;
$hledejpr = $_POST['hledejpr'];
$hledejrc = $_POST['hledejrc'];
$hledejrc_hash=md5($hledejrc);
$a = 1;
$_SESSION['doktor']=$hledejlogin;
$login=$_SESSION['doktor'];
           do {
	@$spojeni = MySQL_Connect('mysql', 'marvik.johny.cz', 'marvik30');
	if (!$spojeni):
		echo "Nepodařilo se připojit k MySQL.<BR>\n";
		break;
	endif;
	MySQL_Select_DB("marvik_johny_cz");
	@$dok = MySQL_Query("SELECT id_doktor FROM doktor WHERE doktor.Login='$login'");
	if (!$dok):
		echo "Došlo k chybě při zpracování dotazu v databázi.<BR>\n";
		break;
	endif;
$zazn = MySQL_Fetch_Array($dok);
$id=$zazn['id_doktor'];
$_SESSION['id_doktor']=$id;
          MySQL_Close($spojeni);    
} while (false);
$_SESSION['smazatpr']=null;
$_SESSION['smazatrc']=null;
$_SESSION['smazatpr']=$hledejpr;
$_SESSION['smazatrc']=$hledejrc;
if ($_SESSION['authuser'] != 1 AND $_SESSION['authuser'] != 2) {
echo "<p>Nemáte oprávnění prohlížet tuto stránku.</p>\n"; 
echo "Možné důvody:</p>\n";
echo "<BR />";
echo "1. Špatný login nebo heslo";
echo "<BR />";
echo "2. Byl jste odhlášen z důvodu časově delší neaktivity";
echo "<BR />";
echo "<a href='login.php'>Zpět na přihlašovací stránku</a>";
	exit();
	}
?> 
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
  <head>
  <meta http-equiv="content-type" content="text/html; charset=windows-1250">
<title>Diplomová práce</title>
<link rel="stylesheet" type="text/css" href="./css/default.css" media="screen" />
<script type="text/javascript" src="./js/imagelink.js"></script>
  </head>
  <body>
     <body>
<div id="view">
  <!-- #header (hlavička + logo a slogan) -->
  <div id="head">

    <hr class="hidden" />
    <!-- logo a slogan -->
    <div id="logo">
      <h1>Databáze</h1>
      <h2>Neuroinformatika</h2>
      <a href="" class="block">&nbsp;</a>
    </div>
    <!-- /logo a slogan -->
    <hr class="hidden" />
  </div>
  <!-- /#header (hlavička + logo a slogan) -->
  
  <!-- #hlavní část -->
  <div id="content">
    <!-- #levá část webu - hlavní část -->
    <div id="contentBlock">  
           <div class="item">
        <br />
        <ul class="info">
          <li>Hledání</li>
          <li class="tag">Výpis hledání</li>
               </ul>
       <?

if ($hledejpr != null)  {
 $a = 0;
       do {
	@$spojeni = MySQL_Connect('mysql', 'marvik.johny.cz', 'marvik30');
	if (!$spojeni):
		echo "Nepodařilo se připojit k MySQL.<BR>\n";
		break;
	endif;
	MySQL_Select_DB("marvik_johny_cz");
	@$vysledek = MySQL_Query("SELECT * FROM pacient WHERE pacient.Prijmeni='$hledejpr'");
	if (!$vysledek):
		echo "Došlo k chybě při zpracování dotazu v databázi.<BR>\n";
		break;
	endif;
	echo "Počet vyhovujících záznamů: ".MySQL_Num_Rows($vysledek).".<BR>\n";
	echo    "<FORM ACTION='upravit.php' METHOD=POST>";
		if (MySQL_Num_Rows($vysledek)>1){
  echo "Prosím upřesněte své hledání";
    }
  	echo	"<br />";
  		echo	"<br />";
while ($zaznam = MySQL_Fetch_Array($vysledek)){
//echo "<h3>Jméno a příjmení: </h3>".$zaznam['Jmeno']." ".$zaznam['Prijmeni']."<br /> <h3> Pohlaví </h3>".$zaznam['Pohlavi']."<br /> <h3> Věk </h3>".$zaznam['Vek']."<br /><h3>Adresa </h3>".$zaznam['Adresa']."<br /><br /><br />";
$rcc=$zaznam['RodneCislo_hash'];
           
echo "<INPUT TYPE=RADIO NAME='vrc' VALUE='$rcc' CHECKED> ".$zaznam['Jmeno']." ".$zaznam['Prijmeni']."-".$zaznam['Pohlavi']."-".$zaznam['Vek']."-".$zaznam['Adresa']."<br />";
          }
           if (MySQL_Num_Rows($vysledek)!=0){
          echo	"<br />";
          echo    "<INPUT TYPE=SUBMIT NAME='r' VALUE='upravit záznam'>   ";
          	echo    "</FORM>";
          	}
          MySQL_Close($spojeni);    
} while (false);
         }

if ($hledejrc != null)     {
 $a = 0;
           do {
	@$spojeni = MySQL_Connect('mysql', 'marvik.johny.cz', 'marvik30');
	if (!$spojeni):
		echo "Nepodařilo se připojit k MySQL.<BR>\n";
		break;
	endif;
	MySQL_Select_DB("marvik_johny_cz");
	@$vysledek = MySQL_Query("SELECT * FROM pacient WHERE pacient.RodneCislo_hash='$hledejrc_hash'");
	if (!$vysledek):
		echo "Došlo k chybě při zpracování dotazu v databázi.<BR>\n";
		break;
	endif;
	echo "Počet vyhovujících záznamů: ".MySQL_Num_Rows($vysledek).".<BR>\n";
		if (MySQL_Num_Rows($vysledek)>1){
  echo "Prosím upřesněte své hledání";
  }
  	echo	"<br />";
  		echo	"<br />";
while ($zaznam = MySQL_Fetch_Array($vysledek)){
echo "<h3>Jméno a příjmení: </h3>".$zaznam['Jmeno']." ".$zaznam['Prijmeni']."<br /> <h3> Pohlaví </h3>".$zaznam['Pohlavi']."<br /> <h3> Věk </h3>".$zaznam['Vek']."<br /><h3>Adresa </h3>".$zaznam['Adresa']."<br /><br /><br />";
echo    "<FORM ACTION='upravit.php' METHOD=POST>";
          echo    "<INPUT TYPE=SUBMIT NAME='r' VALUE='upravit záznam'>   ";
          	echo    "</FORM>";	    		
          }    
          MySQL_Close($spojeni);    
} while (false);

 }
 
 
 if ($hledejlogin != null)     {
 $a = 0;
           do {
	@$spojeni = MySQL_Connect('mysql', 'marvik.johny.cz', 'marvik30');
	if (!$spojeni):
		echo "Nepodařilo se připojit k MySQL.<BR>\n";
		break;
	endif;
	MySQL_Select_DB("marvik_johny_cz");
	@$vysledek = MySQL_Query("SELECT * FROM doktor WHERE doktor.Login='$hledejlogin'");
	if (!$vysledek):
		echo "Došlo k chybě při zpracování dotazu v databázi.<BR>\n";
		break;
	endif;
$zaznam = MySQL_Fetch_Array($vysledek);
$a=$zaznam['Jmeno'];
$b=$zaznam['Prijmeni'];
$c=$zaznam['id_odbornost'];
@$odb = MySQL_Query("SELECT zkratka, nazev FROM odbornost WHERE odbornost.id_odbornost='$c'");
$pokus = MySQL_Fetch_Array($odb);
$c=$pokus['zkratka'];
$n=$pokus['nazev'];
$d=$zaznam['Login'];
$e=$zaznam['Heslo'];
@$nemo = MySQL_Query("SELECT id_nemocnice FROM doktor_nemocnice WHERE doktor_nemocnice.id_doktor='$id'");
$nemoc = MySQL_Fetch_Array($nemo);
$idnemocnice=$nemoc['id_nemocnice'];
@$nemocnice = MySQL_Query("SELECT * FROM nemocnice WHERE nemocnice.id_nemocnice='$idnemocnice'");
$pome = MySQL_Fetch_Array($nemocnice);
$nazev=$pome['Nazev'];
$misto=$pome['Misto'];
	@$pocetprihlaseni = MySQL_Query("SELECT doktor.Prihlaseni FROM doktor WHERE doktor.Login='$hledejlogin'");
	$mucik = MySQL_Fetch_Array($pocetprihlaseni);
	$pocet=$mucik["Prihlaseni"];
		if (MySQL_Num_Rows($vysledek)>=1){
echo    "<FORM ACTION='uprava.php' METHOD=POST>";
echo "<h4>Osobní údaje:</h4>";
echo    "<TABLE>";
echo    "<TR><TD>Jméno:<TD><INPUT NAME=Jmeno VALUE='$a'>";
echo    "<br /> ";
echo    "<TR><TD>Příjmení:<TD><INPUT NAME=Prijmeni VALUE='$b'> ";
echo    "<br /> ";
echo    "<TR><TD> Odbornost: <strong> $c - $n</strong><TD>";
echo    "</TABLE>";
echo    "<br /> ";
echo "<h4>Přihlašovací údaje:</h4>";
echo    "<TABLE>";
echo    "<TR><TD> Login:    <TD>   <INPUT NAME=Login VALUE='$d'>";
echo    "<br /> ";
echo    "<TR><TD>Heslo:     <TD>   <INPUT NAME=Heslo VALUE='$e'>";
echo    "<br /> ";
echo    "<TR><TD>Počet špatných přihlášení:     <TD>   <INPUT NAME=Pocet VALUE='$pocet'>";
echo    "</TABLE>";
echo    "<br /> ";
echo "<h4>Místo pracoviště:</h4>";
echo    "<TABLE>";
echo    "<TR><TD>Název: <strong>$nazev</strong><TD>";
echo    "<TR><TD>Lokalita: <strong>$misto</strong><TD>";
echo    "</TABLE> ";
echo    "<BR /> ";
echo    "<INPUT TYPE=SUBMIT NAME='xx' VALUE='Uložit provedené změny'>   ";
echo    "</FORM>";


}
else
echo "Nenalezen žádný vyhovující záznam";
          MySQL_Close($spojeni);    
} while (false);

 }
 
 
 

 if ($a == 1)
 {
 echo "Nebyl zadán správný parametr pro vyhledávání";
 $myerror=1;
 }
?>

      </div>      
     
    </div>
    <!-- /#levá část webu - hlavní část -->
    <hr class="hidden" />
    <!-- #pravá část webu - submenu -->
    <div id="menuBlock">
        <div class="box subMenu">
        <h3>Navigace:</h3>
        <ul>
           <li><a href="index.php">Logout</a></li>
            <li><a href="mysql.php">Zpět do hlavního menu</a></li>
          </ul>
      </div>
           <div class="box subMenu">
        <h3>Správa pacientů:</h3>
        <ul>
           <li><a href="pridat.php">Přidat nový záznam</a></li>
           		 <?
           		 if  ($myerror =! 1){
               if (MySQL_Num_Rows($vysledek)==1){
  echo         "<li><a href='smazat.php'>Smazat záznam</a></li>";
  }
  if (MySQL_Num_Rows($vysledek)==1 AND $hledejrc != null){
   echo         "<li><a href='upravit.php'>Upravit záznam</a></li>";
         }
         }
           ?>
           <li><a href="hledat.php">Nové hledání..</a></li>
                </ul>
      </div>
      <?
if ($_SESSION['authuser'] == 2){
echo "<div class='box subMenu'>";
echo "<h3>Správa doktorů:</h3>";
echo "<ul>";
echo "<li><a href='pridatdoktora.php'>Přidat doktora</a></li>";
echo "<li><a href='hledatdoktora.php'>Nové hledání..</a></li>";
echo "<li><a href='smazatdoktora.php'>Smazat doktora..</a></li>";
echo "</ul>";
echo "</div>";
}
?>
    </div>
    <!-- /#pravá část webu - hlavní část -->
  </div>
  <!-- /#hlavní část -->
  

  <div id="foot">
    
  </div> 

        </div>

</body>
</html>

  </body>
</html>
